
CoCoA-5 - Bug #220

Trouble on Linux: many CoCoA-5 tests fail (0.9952)

05 Aug 2012 12:51 - John Abbott

Status: Closed Start date: 05 Aug 2012

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Portability Estimated time: 3.00 hours

Target version: CoCoA-5.0.3 Spent time: 2.00 hours

Description

The only CoCoA-5 tests which passed were: exsegv, and lambdas.  All the others failed.  I tried running one manually and CoCoA-5

complained that NewFractionField was not defined (it should have been defined in BuiltInOneLiners).

I got the same result with both Boost-1.49 and Boost-1.50.

Compiler is gcc-4.3.3; platform is my netbook.

I'm mystified.  Could it be a global var initialization problem?

All CoCoALib tests passed.

History

#1 - 05 Aug 2012 13:23 - John Abbott

Apparently fails in the same way on a Linux virtual machine (running Ubuntu).

The compiler was gcc-4.3.2.

#2 - 08 Aug 2012 20:15 - John Abbott

- Status changed from New to Resolved

- % Done changed from 0 to 90

- Estimated time set to 3.00 h

Apparently my guess as to the cause was correct; well, replacing the global by function+static var seems to have resolved the problem (on a linux

VM).

I'll try checking on another couple of linux boxes, and close if it works there.

#3 - 26 Sep 2012 17:53 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 90 to 100

#4 - 21 May 2013 18:31 - Anna Maria Bigatti

- Category set to Portability

- Assignee set to John Abbott

- Target version set to CoCoA-5.0.3
